/**************************************************************************//**
 * @file
 * @brief Basic board test/demo routines
 * @author shondll
 * @version 1.1.1
 ******************************************************************************
 *
 *****************************************************************************/
#include <stdio.h>
#include <stdbool.h>
#include <string.h>
#include <stdlib.h>
#include "efm32.h"

/** SysTick polled Delay routine */
extern void Delay(uint32_t dlyTicks);


/**************************************************************************//**
 * @brief Board Test Routine, blink LEDs
 *****************************************************************************/
void Board_Test(void)
{
	GPIO_TypeDef *gpio = GPIO;

#define BUTTON_SETTLE_TIME 10	
	int counter = BUTTON_SETTLE_TIME;
	
	while(1) {
		if( !(gpio->P[4].DIN & (1 << 0)) ) {
			if(counter) {
				if( !(--counter) )
					gpio->P[4].DOUTTGL |= (1 << 2);
			}
		} else {
			counter = BUTTON_SETTLE_TIME;
		}
		
		Delay(2);
	}
}

/* call every half second */
void ClockUpdate(void)
{
	GPIO_TypeDef *gpio = GPIO;
	
	// toggle LED1
	gpio->P[4].DOUTTGL |= (1 << 1);
}